Bug 579593 - Review Request: python3-cherrypy - Pythonic, object-oriented web development framework
Review Request: python3-cherrypy - Pythonic, object-oriented web development ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Python3F13
  Show dependency treegraph
 
Reported: 2010-04-05 19:49 EDT by Dave Malcolm
Modified: 2010-10-14 02:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: python3-cherrypy-3.2.0-0.rc1.r2567.1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 12:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2010-04-05 19:49:41 EDT
Spec URL: http://dmalcolm.fedorapeople.org/python3-packaging/python3-cherrypy/python3-cherrypy.spec
SRPM URL: http://dmalcolm.fedorapeople.org/python3-packaging/python3-cherrypy/python3-cherrypy-3.2.0-0.rc1.r2567.fc14.src.rpm
Description:
This is a python3 version of python-cherrypy.

Upstream are releasing separate tarballs for Python 2 and Python 3 (from separate SVN branches), so this is a separate specfile for the Python 3 branch.

I based the package on python-cherrypy.spec, but I had to make a number of changes to make it work (see the specfile).
Comment 1 Dave Malcolm 2010-04-05 19:51:03 EDT
rpmlint output:
python3-cherrypy.src: W: spelling-error Summary(en_US) Pythonic -> Python, Polyphonic, Phonically
python3-cherrypy.src: W: invalid-url Source0: CherryPy-r2567.tar.gz
python3-cherrypy.noarch: W: spelling-error Summary(en_US) Pythonic -> Python, Polyphonic, Phonically
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

"Pythonic" is a commonly-used word within the Python community, and see the specfile for the reasons for the nonstandard source URL.

Scratch building in Koji here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2096462
Comment 2 Tim Lauridsen 2010-04-19 04:50:40 EDT
I will take this one :)
Comment 3 Tim Lauridsen 2010-04-19 04:51:11 EDT
MUST:
* package is named according to the Package Naming Guidelines .
* spec file name match base package
* package meet Packaging Guidelines .
* package is licensed with a Fedora approved license and meet the Licensing Guidelines .
* License field match the actual license.
* available license(s) file(s) is included in %doc.
* spec file is written in American English. 
* spec file is legible. 
* sources match upstream (md5sum)
  not possible because source is pulled from upstream SVN (See Notes in Spec)
? package compile on x86
* build dependencies is listed in BuildRequires
* no locales
* no shared libs
* package not relocatable
* package own all directories that it creates.
* no duplicate files in the %files listing. 
* Permissions on files must be set properly. (%defattr(...) line)
* %clean section present and contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* package is consistently using macros
* package contain code, or permissable content
* no large doc
* %doc does not affect runtime
* no headers
* no static libs
* no *.pc files
* no *.so.* libs
* no -devel packages
* package dont contain .la libtool archives.
* not a GUI app.
* no files or directories already owned by other packages.
* %install begins with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* filenames is valid UTF-8

SHOULD:
? I have not tested if it builds
* no scriptlets
* no subpackages
Comment 4 Tim Lauridsen 2010-04-19 04:53:20 EDT
I don't have the setup to test if it builds and you scratch build looks failed ?

So if you can supply an not failing build, i will approve it
Comment 5 Dave Malcolm 2010-04-19 15:57:18 EDT
Thanks.

It turned out that several of the tests within test_states.py can hang, and did when run within Koji, leading to builds eventually timing out.

I've added a patch to remove these tests.

Updated specfile:
http://dmalcolm.fedorapeople.org/python3-packaging/python3-cherrypy/python3-cherrypy.spec

Updated SRPM:
http://dmalcolm.fedorapeople.org/python3-packaging/python3-cherrypy/python3-cherrypy-3.2.0-0.rc1.r2567.1.fc14.src.rpm

Successful build within Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2126843
Comment 6 Tim Lauridsen 2010-04-20 12:48:38 EDT
Looks fine. APPROVED
Comment 7 Dave Malcolm 2010-04-20 13:02:28 EDT
New Package CVS Request
=======================
Package Name: python3-cherrypy
Short Description: Pythonic, object-oriented web development framework
Owners: dmalcolm
Branches: F-13
InitialCC:
Comment 8 Kevin Fenzi 2010-04-21 00:03:52 EDT
CVS done (by process-cvs-requests.py).
Comment 9 Fedora Update System 2010-04-22 11:51:31 EDT
python3-cherrypy-3.2.0-0.rc1.r2567.1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python3-cherrypy-3.2.0-0.rc1.r2567.1.fc13
Comment 10 Dave Malcolm 2010-04-22 12:03:15 EDT
Thanks.

Imported and built into F-13 and devel.
Comment 11 Fedora Update System 2010-10-14 02:38:21 EDT
python3-cherrypy-3.2.0-0.rc1.r2567.1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.